.logo-carousel {
	padding: var(--spacing-05) 0;
	z-index: 1;
}

.logo-carousel__header {
	margin-bottom: 2.25rem;
}

.logo-carousel__header--centered {
	text-align: center;
}

.logo-carousel__slider-wrap,
.logo-carousel__grid {
	position: relative;
	width: 100%;
	overflow: hidden;
}

.logo-carousel__slider-wrap {
	display: grid;
	place-items: center;
}

.logo-carousel__grid {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(9.5rem, 1fr));
	gap: 2rem;
	align-items: center;
	justify-items: center;
}

.logo-carousel__list {
	display: flex;
	align-items: center;
	list-style: none;
	margin: 0;
	padding: 0;
	position: relative;
}

.logo-carousel__item {
	max-width: 13.5rem;
	width: 100%;
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-shrink: 0;
}

.small-logo .logo-carousel__item {
	width: 10.75rem;
}

.logo-carousel__link {
	height: 100%;
	display: block;
	text-decoration: none;
}

.logo-carousel__image {
	height: 100%;
	object-fit: contain;
	display: block;
	max-width: 100%;
	align-content: flex-end;
}

.logo-carousel__image--default,
.logo-carousel__image--hover {
	transition: opacity 0.3s ease;
}

.logo-carousel__image--default {
	opacity: 1;
	visibility: visible;
}

.logo-carousel__image--hover {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	opacity: 0;
	margin: auto;
	visibility: hidden;
}

.logo-carousel__item:hover .logo-carousel__image--default {
	opacity: 0;
	visibility: hidden;
}

.logo-carousel__item:hover .logo-carousel__image--hover {
	opacity: 1;
	visibility: visible;
}

.large-badge img {
	width: 100%;
}

@media screen and (max-width: 48rem) {
	.logo-carousel__item {
		width: 8.25rem;
	}

	.logo-carousel__grid {
		grid-template-columns: repeat(2, 1fr);
		gap: 1.25rem;
	}
}

@media all and (min-width: 62rem) {
	.logo-carousel {
		padding: var(--spacing-06) 0;
	}
}
